## Apache Zeta Components Manual :: Docs For Class ezcMailTransportOptions

### Mail::ezcMailTransportOptions

### Class ezcMailTransportOptions

Class containing the basic options for mail transports.

Source for this file: /Mail/src/options/transport_options.php

    ezcBaseOptions
       |
       --ezcMailTransportOptions

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcMailSmtpTransportOptions | Class containing the options for SMTP transport.
ezcMailImapTransportOptions | Class containing the options for IMAP transport.
ezcMailPop3TransportOptions | Class containing the options for POP3 transport.

### Properties

bool | read/write | `$ssl` Specifies whether to use an SSL connection or not.
int | read/write | `$timeout` Specifies the time in seconds until the connection is closed if there is no activity through the connection.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Method Summary

public ezcMailTransportOptions | `__construct( [ $options = array()] )` Constructs an object with the specified values.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

### Methods

#### __construct

ezcMailTransportOptions __construct( [ $options = array()] )

Constructs an object with the specified values.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array(string=>mixed) |

##### Exceptions:

Type | Description
--- | ---
`ezcBaseValueException` | if $options contains a property with a value not allowed
`ezcBasePropertyNotFoundException` | if $options contains a property not defined

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseOptions::__construct()` | Construct a new options object.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcMailSmtpTransportOptions::__construct()` | Constructs an object with the specified values.
`ezcMailImapTransportOptions::__construct()` | Constructs an object with the specified values.
`ezcMailPop3TransportOptions::__construct()` | Constructs an object with the specified values.

Documentation generated by phpDocumentor 1.4.3